/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

import java.util.Objects;

/**
 * Follow
 */

public class Follow {
  @JsonProperty("follower")
  private Object follower = null;

  @JsonProperty("id")
  private String id = null;

  @JsonProperty("since")
  private LocalDateTime since = null;

  public Follow follower(Object follower) {
    this.follower = follower;
    return this;
  }

   /**
   * The follower
   * @return follower
  **/
  @ApiModelProperty(value = "The follower")
  public Object getFollower() {
    return follower;
  }

  public void setFollower(Object follower) {
    this.follower = follower;
  }

   /**
   * The follow object technical ID
   * @return id
  **/
  @ApiModelProperty(value = "The follow object technical ID")
  public String getId() {
    return id;
  }

   /**
   * The date from which the user started following
   * @return since
  **/
  @ApiModelProperty(value = "The date from which the user started following")
  public LocalDateTime getSince() {
    return since;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Follow follow = (Follow) o;
    return Objects.equals(this.follower, follow.follower) &&
        Objects.equals(this.id, follow.id) &&
        Objects.equals(this.since, follow.since);
  }

  @Override
  public int hashCode() {
    return Objects.hash(follower, id, since);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Follow {\n");

    sb.append("    follower: ").append(toIndentedString(follower)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    since: ").append(toIndentedString(since)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

